### Signal

# EBackend SourceRegistryServer::tweak-key-file

since: 3.8

#### Declaration

    gboolean
    tweak_key_file (
      ESourceRegistryServer* self,
      GKeyFile* key_file,
      gchar* uid,
      gpointer user_data
    )

#### Description [src]

Emitted from `e_source_registry_server_load_file()` just prior to instantiating an `EServerSideSource`. Signal handlers can tweak the `key_file` content as necessary and return `TRUE` to write the modified content back to disk.

For the purposes of tweaking, it’s easier to deal with a plain `GKeyFile` than an `ESource` instance. An `ESource`, for example, does not allow key file groups to be removed.

The return value is cumulative. If any signal handler returns `TRUE`, the `key_file` content is written back to disk.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.8

#### Parameters

`key_file`

  Type: `GKeyFile`

  A `GKeyFile`.

  The data is owned by the caller of the function.

`uid`

  Type: `gchar*`

  A unique identifier string for `key_file`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `key_file` was modified, `FALSE` otherwise.